> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# New Payroll



## OpenAPI

````yaml /api-reference/preview.json post /germany/payroll
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /germany/payroll:
    post:
      tags:
        - Germany
        - Germany Paycheck Calculator
      summary: New Payroll
      operationId: new_payroll_germany_payroll_post
      parameters:
        - name: X-Include-Execution-History
          in: header
          required: false
          schema:
            type: boolean
            default: false
            title: X-Include-Execution-History
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/payroll__de__schema__request__PayrollRequest
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayrollResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    payroll__de__schema__request__PayrollRequest:
      properties:
        pay_date:
          type: string
          format: date
          title: Pay Date
          description: Payment Date for this payroll
        pay_cycle:
          $ref: '#/components/schemas/PaymentPeriod'
        payroll_group:
          items:
            $ref: >-
              #/components/schemas/payroll__de__schema__request__PayrollRequestBase
          type: array
          title: Payroll Group
      additionalProperties: true
      type: object
      required:
        - pay_cycle
        - payroll_group
      title: PayrollRequest
      description: Input parameters according to PAP2025
    PayrollResponse:
      properties:
        summary:
          $ref: '#/components/schemas/Summary'
        payslips:
          items:
            $ref: '#/components/schemas/payroll__de__schema__response__Payslip'
          type: array
          title: Payslips
      additionalProperties: true
      type: object
      required:
        - payslips
      title: PayrollResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PaymentPeriod:
      type: string
      enum:
        - Year
        - Month
        - Week
        - Day
      title: PaymentPeriod
      description: Lohnzahlungszeitraum (LZZ)
    payroll__de__schema__request__PayrollRequestBase:
      properties:
        employee_details:
          $ref: '#/components/schemas/EmployeeDetails'
        tax_attributes:
          $ref: '#/components/schemas/TaxAttributes'
        insurance_details:
          $ref: '#/components/schemas/payroll__de__schema__request__InsuranceDetails'
        pay_details:
          $ref: '#/components/schemas/payroll__de__schema__request__Gross'
      additionalProperties: true
      type: object
      required:
        - employee_details
        - tax_attributes
        - insurance_details
        - pay_details
      title: PayrollRequestBase
      description: Input parameters
    Summary:
      properties:
        employer:
          $ref: '#/components/schemas/EmployerSummary'
      additionalProperties: true
      type: object
      title: Summary
    payroll__de__schema__response__Payslip:
      properties:
        payment_period:
          $ref: '#/components/schemas/PaymentPeriod'
          default: Month
        employee_id:
          type: string
          title: Employee Id
        current_pay_period:
          $ref: '#/components/schemas/payroll__de__schema__response__CurrentPayPeriod'
        execution_history:
          anyOf:
            - items:
                $ref: '#/components/schemas/ExecutionHistoryEntry'
              type: array
            - type: 'null'
          title: Execution History
      additionalProperties: true
      type: object
      required:
        - employee_id
        - current_pay_period
      title: Payslip
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EmployeeDetails:
      properties:
        employee_id:
          anyOf:
            - type: string
            - type: string
              format: uuid
          title: Employee Id
          description: Mitarbeiterkennzeichen - Employee identification number
        is_mini_job:
          type: boolean
          title: Is Mini Job
          description: Whether the employee is a mini-jobber
          default: false
        mini_job_details:
          anyOf:
            - $ref: '#/components/schemas/MiniJobDetails'
            - type: 'null'
          description: Mini-job specific details (required when is_mini_job is True)
        year_of_birth:
          type: integer
          maximum: 2026
          minimum: 1850
          title: Year Of Birth
          description: >-
            Geburtsjahr - Birth Year to check eligibility for
            Altersentlastungsbetrag
        agreed_work_hours_per_week:
          anyOf:
            - type: number
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Agreed Work Hours Per Week
          description: Agreed work hours per week
          default: '0'
      additionalProperties: true
      type: object
      required:
        - employee_id
        - year_of_birth
      title: EmployeeDetails
    TaxAttributes:
      properties:
        tax_class:
          $ref: '#/components/schemas/TaxClassType'
          description: Steuerklasse (STKL) - Tax class
        is_factor:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Factor
          description: Faktorverfahren (AF) - Factor procedure flag (only for tax class IV)
          default: false
        factor:
          anyOf:
            - type: number
              multipleOf: 0.001
              exclusiveMaximum: 1
              minimum: 0.001
            - type: string
              pattern: >-
                ^(?!^[-+.]*$)[+-]?0*(?:\d{0,1}|(?=[\d.]{1,5}0*$)\d{0,1}\.\d{0,3}0*$)
            - type: 'null'
          title: Factor
          description: Faktor (F) - Factor for factor procedure
        child_allowances:
          anyOf:
            - type: number
              multipleOf: 0.5
              maximum: 9
              minimum: 0
            - type: string
              pattern: >-
                ^(?!^[-+.]*$)[+-]?0*(?:\d{0,1}|(?=[\d.]{1,3}0*$)\d{0,1}\.\d{0,1}0*$)
          title: Child Allowances
          description: >-
            Kinderfreibeträge (ZKF) - Number of child allowances (decimal place
            for shared allowances)
          default: '0'
        is_church_member:
          type: boolean
          title: Is Church Member
          description: Religionsgemeinschaft (R) - Church membership
          default: false
        tax_state:
          anyOf:
            - $ref: '#/components/schemas/payroll__de__payroll_types__DEStates'
            - type: 'null'
          description: Bundesländer - Residency state
          default: Berlin
      additionalProperties: true
      type: object
      required:
        - tax_class
      title: TaxAttributes
    payroll__de__schema__request__InsuranceDetails:
      properties:
        pension_insurance_type:
          $ref: '#/components/schemas/payroll__de__schemas__PensionInsuranceType'
          description: Rentenversicherung (KRV) - Pension insurance type
        health_insurance_type:
          $ref: '#/components/schemas/payroll__de__payroll_types__HealthInsuranceType'
          description: Krankenversicherung (PKV) - Health insurance type
        health_insurer_agency_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Health Insurer Agency Code
          description: Krankenversicherungscode (KVK) - Health insurer agency code
        private_insurance_monthly:
          anyOf:
            - type: number
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
            - type: 'null'
          title: Private Insurance Monthly
          description: >-
            Private Krankenversicherung (PKPV) - Monthly private health/care
            insurance contribution
          default: '0'
        care_insurance_children:
          type: integer
          maximum: 5
          minimum: 0
          title: Care Insurance Children
          description: >-
            Anzahl Kinder Pflegeversicherung (PVA) - Number of children for care
            insurance discount (0-5), choose 5 for 5 or more
          default: 0
        is_midi_job:
          type: boolean
          title: Is Midi Job
          description: Whether the employee is a midi-jobber
          default: false
      additionalProperties: true
      type: object
      required:
        - pension_insurance_type
        - health_insurance_type
      title: InsuranceDetails
    payroll__de__schema__request__Gross:
      properties:
        earnings:
          anyOf:
            - items:
                oneOf:
                  - $ref: '#/components/schemas/SalariedEarnings'
                  - $ref: '#/components/schemas/HourlyEarnings'
                  - $ref: '#/components/schemas/OtherEarnings'
                discriminator:
                  propertyName: earning_type
                  mapping:
                    Allowances:
                      $ref: '#/components/schemas/OtherEarnings'
                    Bonus:
                      $ref: '#/components/schemas/OtherEarnings'
                    Commissions:
                      $ref: '#/components/schemas/OtherEarnings'
                    Holiday Work:
                      $ref: '#/components/schemas/HourlyEarnings'
                    Hourly Wage:
                      $ref: '#/components/schemas/HourlyEarnings'
                    Increased Night Shift:
                      $ref: '#/components/schemas/HourlyEarnings'
                    Night Shift:
                      $ref: '#/components/schemas/HourlyEarnings'
                    Other:
                      $ref: '#/components/schemas/OtherEarnings'
                    Salary:
                      $ref: '#/components/schemas/SalariedEarnings'
                    Special Holiday Work:
                      $ref: '#/components/schemas/HourlyEarnings'
                    Sunday Work:
                      $ref: '#/components/schemas/HourlyEarnings'
              type: array
            - type: 'null'
          title: Earnings
        benefits:
          anyOf:
            - items:
                oneOf:
                  - $ref: '#/components/schemas/payroll__de__schema__request__Car'
                  - $ref: '#/components/schemas/NonCarBenefits'
                discriminator:
                  propertyName: name
                  mapping:
                    Allowances:
                      $ref: '#/components/schemas/NonCarBenefits'
                    Capital-forming:
                      $ref: '#/components/schemas/NonCarBenefits'
                    Company Car:
                      $ref: '#/components/schemas/payroll__de__schema__request__Car'
                    Company Pension:
                      $ref: '#/components/schemas/NonCarBenefits'
                    Gym:
                      $ref: '#/components/schemas/NonCarBenefits'
                    Meal Plan:
                      $ref: '#/components/schemas/NonCarBenefits'
                    Other:
                      $ref: '#/components/schemas/NonCarBenefits'
              type: array
            - type: 'null'
          title: Benefits
        deductions:
          anyOf:
            - items:
                $ref: '#/components/schemas/payroll__de__schema__request__Deductions'
              type: array
            - type: 'null'
          title: Deductions
        reimbursements:
          anyOf:
            - items:
                $ref: >-
                  #/components/schemas/payroll__de__schema__request__Reimbursement
              type: array
            - type: 'null'
          title: Reimbursements
      additionalProperties: true
      type: object
      required:
        - earnings
        - benefits
      title: Gross
    EmployerSummary:
      properties:
        pension_contribution:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Pension Contribution
          default: '0.00'
        health_insurance_contribution:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Health Insurance Contribution
          default: '0.00'
        care_insurance_contribution:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Care Insurance Contribution
          default: '0.00'
        unemployment_insurance_contribution:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Unemployment Insurance Contribution
          default: '0.00'
        sick_pay_insurance_contribution:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Sick Pay Insurance Contribution
          default: '0.00'
        maternity_pay_insurance_contribution:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Maternity Pay Insurance Contribution
          default: '0.00'
        insolvency_insurance_contribution:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Insolvency Insurance Contribution
          default: '0.00'
        flat_rate_tax_mini_job:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Flat Rate Tax Mini Job
          default: '0.00'
        total_burden:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Total Burden
          default: '0.00'
      additionalProperties: true
      type: object
      title: EmployerSummary
    payroll__de__schema__response__CurrentPayPeriod:
      properties:
        employee:
          $ref: >-
            #/components/schemas/payroll__de__schema__response__EmployeeCurrentPayPeriod
        employer:
          $ref: >-
            #/components/schemas/payroll__de__schema__response__EmployerCurrentPayPeriod
      additionalProperties: true
      type: object
      title: CurrentPayPeriod
    ExecutionHistoryEntry:
      properties:
        flow:
          type: string
          title: Flow
        node:
          type: string
          title: Node
      additionalProperties: true
      type: object
      required:
        - flow
        - node
      title: ExecutionHistoryEntry
      description: Entry in the execution history showing flow/node execution path.
    MiniJobDetails:
      properties:
        mini_job_type:
          $ref: '#/components/schemas/MiniJobType'
          description: 'Type of mini-job: short-term or earning-limit based'
        tax_method:
          $ref: '#/components/schemas/MiniJobTaxMethod'
          description: 'Tax method for mini-jobs: flat rate or individual taxation'
        pension_exemption:
          type: boolean
          title: Pension Exemption
          description: Whether the mini-jobber is exempt from pension insurance
          default: false
        flat_rate_paid_by_employee:
          type: boolean
          title: Flat Rate Paid By Employee
          description: >-
            Whether the 2% flat rate tax is paid by the employee instead of the
            employer
          default: false
        short_term_flat_tax_rate:
          anyOf:
            - type: integer
              enum:
                - 20
                - 25
            - type: 'null'
          title: Short Term Flat Tax Rate
          description: |2-

                        The flat tax rate for short-term mini-jobs.
                        Required if mini_job_type is 'Short Term' and tax_method is 'Flat Rate'.
                        Can be 20% or 25%.
                    
      additionalProperties: true
      type: object
      required:
        - mini_job_type
        - tax_method
      title: MiniJobDetails
      description: Details for mini-job classification and processing
    TaxClassType:
      type: string
      enum:
        - '1'
        - '2'
        - '3'
        - '4'
        - '5'
        - '6'
      title: TaxClassType
      description: Steuerklasse (STKL)
    payroll__de__payroll_types__DEStates:
      type: string
      enum:
        - Baden-Württemberg
        - Bayern
        - Berlin
        - Brandenburg
        - Bremen
        - Hamburg
        - Hessen
        - Mecklenburg-Vorpommern
        - Niedersachsen
        - Nordrhein-Westfalen
        - Rheinland-Pfalz
        - Saarland
        - Sachsen
        - Sachsen-Anhalt
        - Schleswig-Holstein
        - Thüringen
      title: DEStates
      description: German states (Bundesländer) with their official names
    payroll__de__schemas__PensionInsuranceType:
      type: string
      enum:
        - Statutory
        - Other
      title: PensionInsuranceType
      description: Merker für die Vorsorgepauschale (KRV)
    payroll__de__payroll_types__HealthInsuranceType:
      type: string
      enum:
        - Statutory KV
        - Private KV without employer subsidy
        - Private KV with employer subsidy
      title: HealthInsuranceType
      description: Krankenversicherungsart (PKV)
    SalariedEarnings:
      properties:
        earning_type:
          type: string
          const: Salary
          title: Earning Type
        amount:
          anyOf:
            - type: number
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
          title: Amount
          description: Earnings amount (taxable gross)
        earning_frequency:
          anyOf:
            - $ref: '#/components/schemas/PaymentPeriod'
            - type: 'null'
          description: If recurring, specify the frequency
          default: Month
        is_lumpsum:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Lumpsum
          description: True if onetime (Einmalig). False if recurring (Laufend)
          default: false
        do_grossup:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Do Grossup
          description: True if the amount needs to be grossed up
          default: false
      additionalProperties: true
      type: object
      required:
        - earning_type
        - amount
      title: SalariedEarnings
    HourlyEarnings:
      properties:
        earning_type:
          type: string
          enum:
            - Holiday Work
            - Hourly Wage
            - Increased Night Shift
            - Night Shift
            - Special Holiday Work
            - Sunday Work
          title: Earning Type
        hours_worked:
          anyOf:
            - type: number
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Hours Worked
          description: Number of hours worked
        hourly_rate:
          anyOf:
            - type: number
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
          title: Hourly Rate
          description: Hourly rate in euros
      additionalProperties: true
      type: object
      required:
        - earning_type
        - hours_worked
        - hourly_rate
      title: HourlyEarnings
    OtherEarnings:
      properties:
        earning_type:
          type: string
          enum:
            - Commissions
            - Bonus
            - Allowances
            - Other
          title: Earning Type
        amount:
          anyOf:
            - type: number
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
          title: Amount
          description: Earnings amount
        earning_frequency:
          anyOf:
            - $ref: '#/components/schemas/PaymentPeriod'
            - type: 'null'
          description: If recurring, specify the frequency
          default: Month
        is_lumpsum:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Lumpsum
          description: True if onetime (Einmalig). False if recurring (Laufend)
          default: false
        do_grossup:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Do Grossup
          description: True if the amount needs to be grossed up
          default: false
      additionalProperties: true
      type: object
      required:
        - earning_type
        - amount
      title: OtherEarnings
    payroll__de__schema__request__Car:
      properties:
        name:
          type: string
          const: Company Car
          title: Name
        value:
          anyOf:
            - type: number
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
            - type: 'null'
          title: Value
          description: Cost of car
        additional_payments:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
            - type: 'null'
          title: Additional Payments
          description: Zuzahl. Firmenw. stpfl.
          default: '0.00'
        private_trip:
          anyOf:
            - type: number
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
            - type: 'null'
          title: Private Trip
          description: Privatfahrten
          default: '0.00'
      additionalProperties: true
      type: object
      required:
        - name
      title: Car
    NonCarBenefits:
      properties:
        name:
          anyOf:
            - type: string
              const: Company Pension
            - type: string
              const: Capital-forming
            - type: string
              const: Allowances
            - type: string
              const: Meal Plan
            - type: string
              const: Gym
            - type: string
              const: Other
          title: Name
        employee_share:
          anyOf:
            - type: number
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
          title: Employee Share
          default: '0.00'
        employer_share:
          anyOf:
            - type: number
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
          title: Employer Share
          default: '0.00'
      additionalProperties: true
      type: object
      required:
        - name
      title: NonCarBenefits
    payroll__de__schema__request__Deductions:
      properties:
        name:
          anyOf:
            - $ref: '#/components/schemas/DeductionType'
            - type: 'null'
        amount:
          anyOf:
            - type: number
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
          title: Amount
      additionalProperties: true
      type: object
      required:
        - amount
      title: Deductions
    payroll__de__schema__request__Reimbursement:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        amount:
          anyOf:
            - type: number
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
          title: Amount
      additionalProperties: true
      type: object
      required:
        - name
        - amount
      title: Reimbursement
    payroll__de__schema__response__EmployeeCurrentPayPeriod:
      properties:
        totals:
          $ref: '#/components/schemas/payroll__de__schema__response__EmployeeTotals'
        taxes:
          $ref: '#/components/schemas/payroll__de__schema__response__EmployeeTaxes'
        insurance:
          $ref: >-
            #/components/schemas/payroll__de__schema__response__EmployeeInsurance
        deductions:
          items:
            $ref: '#/components/schemas/Deduction'
          type: array
          title: Deductions
        reimbursements:
          anyOf:
            - items:
                $ref: >-
                  #/components/schemas/payroll__de__schema__response__Reimbursement
              type: array
            - type: 'null'
          title: Reimbursements
      additionalProperties: true
      type: object
      title: EmployeeCurrentPayPeriod
    payroll__de__schema__response__EmployerCurrentPayPeriod:
      properties:
        pension_contribution:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Pension Contribution
          default: '0.00'
        health_insurance_contribution:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Health Insurance Contribution
          default: '0.00'
        care_insurance_contribution:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Care Insurance Contribution
          default: '0.00'
        unemployment_insurance_contribution:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Unemployment Insurance Contribution
          default: '0.00'
        sick_pay_insurance_contribution:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Sick Pay Insurance Contribution
          default: '0.00'
        maternity_pay_insurance_contribution:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Maternity Pay Insurance Contribution
          default: '0.00'
        insolvency_insurance_contribution:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Insolvency Insurance Contribution
          default: '0.00'
        flat_rate_tax_mini_job:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Flat Rate Tax Mini Job
          default: '0.00'
        total_burden:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Total Burden
          default: '0.00'
      additionalProperties: true
      type: object
      title: EmployerCurrentPayPeriod
    MiniJobType:
      type: string
      enum:
        - Short Term
        - Earning Limit
      title: MiniJobType
    MiniJobTaxMethod:
      type: string
      enum:
        - Flat Rate
        - Individual
      title: MiniJobTaxMethod
    DeductionType:
      type: string
      enum:
        - Garnishment
        - Loan Repayment
      title: DeductionType
    payroll__de__schema__response__EmployeeTotals:
      properties:
        total_gross_wages:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Total Gross Wages
          default: '0.00'
        taxable_gross_wages:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Taxable Gross Wages
          default: '0.00'
        net_wages:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Net Wages
          default: '0.00'
        total_deductions:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Total Deductions
          default: '0.00'
        total_reimbursements:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Total Reimbursements
          default: '0.00'
        net_pay:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Net Pay
          default: '0.00'
      additionalProperties: true
      type: object
      title: EmployeeTotals
    payroll__de__schema__response__EmployeeTaxes:
      properties:
        income_tax_assessment_base:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Income Tax Assessment Base
          default: '0.00'
        solidarity_tax_assessment_base:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Solidarity Tax Assessment Base
          default: '0.00'
        income_tax:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Income Tax
          default: '0.00'
        church_tax:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Church Tax
          default: '0.00'
        solidarity_tax:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Solidarity Tax
          default: '0.00'
        total_tax:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Total Tax
          default: '0.00'
      additionalProperties: true
      type: object
      title: EmployeeTaxes
    payroll__de__schema__response__EmployeeInsurance:
      properties:
        insurance_assessment_base:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Insurance Assessment Base
          default: '0.00'
        pension_assessment_base:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Pension Assessment Base
          default: '0.00'
        health_insurance_additional_rate:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Health Insurance Additional Rate
          default: '0.00'
        pension_insurance:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Pension Insurance
          default: '0.00'
        unemployment_insurance:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Unemployment Insurance
          default: '0.00'
        health_insurance:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Health Insurance
          default: '0.00'
        care_insurance:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Care Insurance
          default: '0.00'
        total_insurance:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Total Insurance
          default: '0.00'
      additionalProperties: true
      type: object
      title: EmployeeInsurance
    Deduction:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
          default: '0.00'
      additionalProperties: true
      type: object
      title: Deduction
    payroll__de__schema__response__Reimbursement:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
          default: '0.00'
      additionalProperties: true
      type: object
      title: Reimbursement
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````